dpkg-name(1)

NOM
dpkg-name - redonner aux paquets Debian leur nom complet

SYNOPSIS
dpkg-name [-a|--no-architecture] [-o|--overwrite] [-s|--subdir [rep]] [-c|--create-dir] [-h|--help] [-v|--version] [-l|--license] [-k|--symlink] [-[--] [fichiers]

DESCRIPTION

Cette page de manuel documente le script sh dpkg-name. Celui-ci fournit une façon simple de redonner aux paquets Debian leur nom complet. Ce nom consiste en une chaîne « <package>_<version>_<architecture>.deb » telle qu'elle est indiquée dans le fichier « control » du paquet. La partie <version> du nom est composée d'informations sur la version « originale » qui peuvent ou non être suivies d'un trait d'union et d'informations sur la révision.

EXEMPLES

dpkg-name bar-foo.deb
    Le nom du fichier « bar-foo.deb » devient « bar-foo_1.0-2_i386.deb » ou quelque chose de similaire suivant les renseignements que contient la partie de contrôle de « bar-foo.deb ».

find /root/debian/ -name '*.deb' | xargs -n 1 dpkg-name -a
    Cette commande redonne leur nom complet à tous les fichiers qui se trouvent dans le répertoire /root/debian et ses sous-répertoires et qui possèdent une extension « deb », mais supprime l'information sur l'architecture.

find -name '*.deb' | xargs -n 1 dpkg-name -a -o -s -c
    Ne faites pas ça ! L'archive sera complètement gâchée par des paquets qui ne possèdent pas d'informations sur la section.

dpkg --build debian-tmp && dpkg-name -o -s .. debian-tmp.deb
    On peut se servir de cette commande lors de la construction d'un nouveau paquet.

  OPTIONS

-a, --no-architecture
    Le nom du fichier n'aura pas d'information sur l'architecture.

-k, --symlink
    Faire un lien symbolique plutôt qu'une création de fichier.

-o, --overwrite
    Remplace des fichiers existants s'ils ont le même nom que le fichier de destination.

-s, --subdir [rep]
    Met les fichiers dans rep. Si le répertoire donné comme argument existe, les fichiers sont déplacés dans ce répertoire ; sinon le répertoire cible, extrait du champ « section » que contient la partie de contrôle du paquet, sera « unstable/binary-<architecture>/<section> ». Quand la section est « non-free » ou « contrib », ou bien quand aucune information sur la section n'est trouvée dans le fichier « control », le répertoire cible est « <section>/binary-<architecture> ». le champ « section » est facultatif ; aussi beaucoup de paquets sont dans la zone « no-section ». Utilisez cette option avec soin : elle est compliquée.

-c, --create-dir
    On peut utiliser cette option avec l'option -s. Quand un répertoire cible n'est pas trouvé, il est crée automatiquement. Utilisez cette option avec soin.

-h, --help
    Affiche une aide et se termine normalement.

-v, --version
    Affiche la version et se termine normalement.

-l, --license
    Affiche les informations sur le copyright (une référence à GNU) et se termine normalement.

BOGUES
Certains paquets ne respectent pas l'organisation <package>_<version>_<architecture>.deb. Les paquets traités par dpkg-name la respecte. Cela n'a pas de conséquence sur la façon dont dselect/dpkg installe les paquets, mais il se peut que d'autres systèmes d'installation aient besoin de cette organisation.

VOIR AUSSI
deb(5), deb-control(5), dpkg(5), dpkg(8), dpkg-deb(1), find(1), xargs(1).

COPYRIGHT
Copyright 1995,1996 Erick Branderhorst. dpkg-name est un logiciel libre ; voyez la « GNU General Public Licence » version 2 ou supérieure pour le copyright. Il n'y a pas de garantie.

TRADUCTION
Philippe Batailler, Janvier 2001.